# Memory Repository Type

In memory storage of test results.

class stestr.repository.memory.Repository

  In memory storage of test results.

  count()

    Return the number of test runs this repository has stored.

    Return count:

      The count of test runs stored in the repository.

  get_failing()

    Get a TestRun that contains all of and only current failing tests.

    Returns:

      a TestRun.

  get_run_ids()

    Get a list of test ids in the repository

    Returns:

      a list of test ids

  get_test_run(run_id)

    Retrieve a TestRun object for run_id.

    Parameters:

      run_id – The test run id to retrieve.

    Returns:

      A TestRun object.

  latest_id()

    Return the run id for the most recently inserted test run.

  remove_run_id(run_id)

    Remove a run from the repository

class stestr.repository.memory.RepositoryFactory

  A factory that can initialise and open memory repositories.

  This is used for testing where a repository may be created and later opened, but tests should not see each others repositories.

  initialise(url)

    Create a repository at URL.

    Call on the class of the repository you wish to create.

  open(url)

    Open the repository at url.

    Raise RepositoryNotFound if there is no repository at the given url.